NC 12.0.5 -> 13.0 Upgrade, "encryption:migrate" fails

update_problems

#1

Hi everyone

Using NC 12.0.5 and upgrading it to 13.0 the command “occ encryption:migrate” fails with the following exception:

An unhandled exception has been thrown:
> TypeError: Argument 5 passed to OCA\Encryption\Migration::__construct() must implement interface OCP\App\IAppManager, none given, called in /var/www/html/nextcloud/apps/encryption/lib/Command/MigrateKeys.php on line 86 and defined in /var/www/html/nextcloud/apps/encryption/lib/Migration.php:57

Stack trace:
#0 /var/www/html/nextcloud/apps/encryption/lib/Command/MigrateKeys.php(86): OCA\Encryption\Migration->__construct(Object(OC\AllConfig), Object(OC\Files\View), Object(OC\DB\Connection), Object(OC\Log))
#1 /var/www/html/nextcloud/3rdparty/symfony/console/Command/Command.php(264): OCA\Encryption\Command\MigrateKeys->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#2 /var/www/html/nextcloud/3rdparty/symfony/console/Application.php(874): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#3 /var/www/html/nextcloud/3rdparty/symfony/console/Application.php(228): Symfony\Component\Console\Application->doRunCommand(Object(OCA\Encryption\Command\MigrateKeys), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#4 /var/www/html/nextcloud/3rdparty/symfony/console/Application.php(130): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#5 /var/www/html/nextcloud/lib/private/Console/Application.php(173): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#6 /var/www/html/nextcloud/console.php(90): OC\Console\Application->run()
#7 /var/www/html/nextcloud/occ(11): require_once('/var/www/html/n...')

anyone else having this issue?

Ubuntu 16.04.3 LTS x64
PHP 7.0
Apache 2.4.18
Mysql 5.7.21